<?php

class Validation extends CI_Controller {

    public function index(){

        $this->load->view("register_form");

    }

    public function validate(){


        $this->load->library("form_validation");

        $this->form_validation->set_rules("full_name","Ad Soyad","required|trim|min_length[3]");
        $this->form_validation->set_rules("email","E-posta","trim|required|valid_email|is_unique[member.email]");
        $this->form_validation->set_rules("password","Şifre","required|trim|min_length[5]|max_length[8]");
        $this->form_validation->set_rules("re_password","Şifre Tekrar","required|trim|min_length[5]|max_length[8]|matches[password]");


        if($this->form_validation->run() == FALSE){

            echo validation_errors();

        }else{

        }

    }

}
